| PST SDK 6.0.0.0-272350a

Public Member Functions | Public Attributes | List of all members
pstech.pstsdk.trackerdata.TrackerData Class Reference

Tracking information retrieved from tracker. More...

## Public Member Functions
def | __init__ (self, c_tracker_data)
def | __eq__ (self, other)

## Public Attributes
| timestamp
| Timestamp of the moment the cameras captured the data. More...
| seqnumber
| Incremental data recording id. More...
| targetlist
| target.TargetPose list representing detected tracking targets More...
| datapoints
| point.Point list representing detected 3D markers not matched to a tracking target More...

## Detailed Description

Tracking information retrieved from tracker.

This class contains all tracking information recorded at a certain time instance. It provides a list of all active tracking targets that have been detected by the PST Tracker, as well as a list of all 3D data points that have been detected by the tracker and are estimated not to be part of any active tracking target.

See also
  target.TargetPose
  point.Point
  tracker.Tracker.get_single_measurement
  tracker.Listener

## Constructor & Destructor Documentation

## ◆ __init__()

def pstech.pstsdk.trackerdata.TrackerData.__init__ | ( |  | self,
|  |  | c_tracker_data
| ) |  |

## Member Function Documentation

## ◆ __eq__()

def pstech.pstsdk.trackerdata.TrackerData.__eq__ | ( |  | self,
|  |  | other
| ) |  |

## Member Data Documentation

## ◆ datapoints

pstech.pstsdk.trackerdata.TrackerData.datapoints

point.Point list representing detected 3D markers not matched to a tracking target

## ◆ seqnumber

pstech.pstsdk.trackerdata.TrackerData.seqnumber

Incremental data recording id.

## ◆ targetlist

pstech.pstsdk.trackerdata.TrackerData.targetlist

target.TargetPose list representing detected tracking targets

## ◆ timestamp

pstech.pstsdk.trackerdata.TrackerData.timestamp

Timestamp of the moment the cameras captured the data.

The timestamp uses the system clock provided in seconds since system boot (Windows) or Epoch (Linux).

The documentation for this class was generated from the following file:

- C:/CI/builds/c149454a/0/ps-tech/pst-distributor/pstsdk/python/pstech/pstsdk/trackerdata.py